Subject: bug#23819: 25.0.95; display botched badly in xterm window

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Jun 2016 10:58:15 +0200

On 06/22/2016 09:04 PM, Eli Zaretskii wrote:
> Can you modify xterm.el such that it stores the value of 'version' in 
> xterm--version-handler in a variable? Then you could report the values 
> of that variable when you see the problems and when you don't, and 
> maybe we will learn something that way. 

The version string is "1;3201;0" and the version is therefore computed 
to be 200, when things work at startup. This corresponds to GNOME 
Terminal 3.4.1.1 on the client (Ubuntu 12.04.5 LTS). Right now I can't 
reproduce the problem where the version string is copied into the start 
of the first buffer (I assume this is because my Internet connection is 
good right now). However, after doing a lot of searches I can 
occasionally reproduce the problem where characters are misdisplayed, 
with 'emacs -Q src/conf_post.h'. I repeatedly type "C-s h a s M-<" with 
a few extra C-s's thrown in.